Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCourse Modules

POST Create module

Create a module with no blocks in the specified course. Block content is added through the course-builder block endpoints.

POST
/courses/{id}/modules

Create a module with no blocks in the specified course. Block content is added through the course-builder block endpoints.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Course UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/courses/{id}/modules" \  -H "Content-Type: application/json" \  -d '{    "title": "Example title",    "sequence_order": 1,    "prerequisites": [      "{prerequisites_item}"    ]  }'
{  "data": {    "id": "{id}",    "course_id": "{course_id}",    "title": "string",    "sequence_order": 0,    "published": true,    "block_count": 0,    "prerequisite_module_ids": [      "{items}"    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}